package com.apobates.forum.event.elderly;

/**
 * 会员操作的位置信息
 * 
 * @author xiaofanku
 * @since 20200530
 */
public interface IpLocation {
    /**
     * IP地址
     * @return 
     */
    String getIpAddr();
    
    /**
     * 供应商:联通|电信
     * @return 
     */
    String getIsp();
    
    /**
     * 地域:省
     * @return 
     */
    String getProvince();
    
    /**
     * 地域:市
     * @return 
     */
    String getCity();
    
    /**
     * 地域:区
     * @return 
     */
    String getDistrict();
}